## org.omg.CORBA
Class PrimitiveDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PrimitiveDefHelper

public class PrimitiveDefHelper
extends java.lang.Object

Helper class for : PrimitiveDef

Author:
  OpenORB Compiler

Constructor Summary
`PrimitiveDefHelper()`

Method Summary
`static PrimitiveDef` `extract(Any a)` Extract PrimitiveDef from an any
`static java.lang.String` `id()` Return the PrimitiveDef IDL ID
`static void` `insert(Any a, PrimitiveDef t)` Insert PrimitiveDef into an any
`static PrimitiveDef` `narrow(Object obj)` Narrow CORBA::Object to PrimitiveDef
`static PrimitiveDef` `read(InputStream istream)` Read PrimitiveDef from a marshalled stream
`static TypeCode` `type()` Return the PrimitiveDef TypeCode
`static PrimitiveDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to PrimitiveDef
`static void` `write(OutputStream ostream, PrimitiveDef value)` Write PrimitiveDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveDefHelper

    public PrimitiveDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PrimitiveDef t)

  Insert PrimitiveDef into an any
  Parameters:
    `a` - an any
    `t` - PrimitiveDef value

### extract

    public static PrimitiveDef extract(Any a)

  Extract PrimitiveDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PrimitiveDef value

### type

    public static TypeCode type()

  Return the PrimitiveDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PrimitiveDef IDL ID
  Returns:
    an ID

### read

    public static PrimitiveDef read(InputStream istream)

  Read PrimitiveDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PrimitiveDef value

### write

    public static void write(OutputStream ostream,
                             PrimitiveDef value)

  Write PrimitiveDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PrimitiveDef value

### narrow

    public static PrimitiveDef narrow(Object obj)

  Narrow CORBA::Object to PrimitiveDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PrimitiveDef Object

### unchecked_narrow

    public static PrimitiveDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to PrimitiveDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PrimitiveDef Object